### Method

# Gimp ValueArray append

#### Declaration [src]

    GimpValueArray*
    gimp_value_array_append (
      GimpValueArray* value_array,
      const GValue* value
    )

#### Description [src]

Insert a copy of `value` as last element of `value_array`. If `value` is `NULL`, an uninitialized value is appended.

Available since: | 2.10

#### Parameters

`value` | `GValue`
| `GValue` to copy into `GimpValueArray`, or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `GimpValueArray`
| The `GimpValueArray` passed in as `value_array`.
| The data is owned by the instance.